<?php
    if ( !isset( $bCounter_show_visit_eps ) ) {
        #die('$bCounter_show_visit_eps hat keinen Wert!');
        $bCounter_show_visit_eps = $bCounter_visits_all_eps;
    }
    if ( !isset( $bCounter_get_load ) ) {
        #die('$bCounter_get_load hat keinen Wert!');
        $bCounter_get_load = "visits_all";
    }
    $iPage = max( $_GET["page"]-1, 0);
    $iEintraegeProSeite = max( $_GET["eps"], $bCounter_show_visit_eps );

    $strDivNav3 .= '
<ul>
<li><a href="./?load='.$bCounter_get_load.'&amp;eps='.$iEintraegeProSeite.'&amp;page='.($iPage+1).'">Zur&uuml;ck zur &Uuml;bersicht</a></li>
</ul>
';

    $iID = (int) $_GET["id"];
    $strTitle .= ' | Besucher';
    if ( $iID > 0 ) {
        $strSQLstring = "SELECT * FROM ".$bCounter_dbPrefix."visits WHERE id='$iID'";
        $SQLresult_besucher = $bCounterDB->query($strSQLstring);
        if ( mysql_num_rows($SQLresult_besucher) > 0 ) {
            $strDivBody .= '<h2>Besucher #'.$iID.'</h2>'."\n";
            $strTitle .= ' #'.$iID;

            $iFirstSeen     = mysql_result($SQLresult_besucher, 0, "first_seen");
            $iLastSeen      = mysql_result($SQLresult_besucher, 0, "last_seen");
            $IP             = mysql_result($SQLresult_besucher, 0, "IP");
            $strOS          = mysql_result($SQLresult_besucher, 0, "os");
            $strOS_ver      = mysql_result($SQLresult_besucher, 0, "os_version");
            $strBrowser     = mysql_result($SQLresult_besucher, 0, "browser");
            $strBrowser_ver = mysql_result($SQLresult_besucher, 0, "browser_version");
            $arrLandInfo    = IP2Country($IP);

            $strSQLstring = "SELECT * FROM ".$bCounter_dbPrefix."data WHERE timestamp >= '$iFirstSeen' AND timestamp <= '$iLastSeen'
                AND remote_addr='$IP' ORDER BY id DESC";
            $SQLresult    = $bCounterDB->query($strSQLstring);
            $arrUserAgentData = getUserAgentData(mysql_result($SQLresult, 0, "user_agent"));

            $strDivBody .= '<div class="table">';
            if ( mysql_result($SQLresult_besucher, 0, "type") == "human" ) {
                $strDivBody .= '<p><img src="./img/os/'.getOSstring_img($strOS, $strOS_ver).'.png" width="14" height="14" alt="'.getOSstring($strOS, $strOS_ver).'" />&nbsp;'.getOSstring($strOS, $strOS_ver).'</p>'."\n";
                $strDivBody .= '<p><img src="./img/browser/'.getBrowserString_img($strBrowser).'.png" width="14" height="14" alt="'.getBrowserString($strBrowser, $strBrowser_ver).'" />&nbsp;'.getBrowserString($strBrowser, $strBrowser_ver).'</p>'."\n";
            }elseif( mysql_result($SQLresult_besucher, 0, "type") == "fake" ){
                $strDivBody .= '<p>Fake</p>';
            }else{
                $strDivBody .= '<p><img src="./img/robot/'.getOSstring_img_robot($strOS).'.png" width="14" height="14" alt="'.getOSstring($strOS, $strOS_ver).'" />&nbsp;'.getOSstring($strOS, $strOS_ver).'';
                $strDivBody .= ' '.getBrowserString($strBrowser, "").'</p>'."\n";
            }

            $strDivBody .= '<p>IP: '.bCounter_printIP($IP);
            $strDivBody .= ' (<img src="./img/alpha2/'.$arrLandInfo["alpha2"].'.png" width="16" height="11" alt="" /> '.ucwords(strtolower($arrLandInfo["land"])).')</p>'."\n";
            $strDivBody .= '<p>Host: '.bCounter_printHost(mysql_result($SQLresult, 0, "host")).'</p>'."\n";

            $strDivBody .= '<p>User-Agent: '.mysql_result($SQLresult, mysql_num_rows($SQLresult)-1, "user_agent").'</p>'."\n";
            $strDivBody .= '</div>';

            $iLastTimestamp = 0;
            $strDivBody .= '<h2>Einzelne Zugriffe</h2>'."\n";
            $strDivBody .= '<table>'."\n";
            $strDivBody .= '<tr><th>#</th><th>ID</th><th>Status</th><th>URI-Aufruf</th><th>URL-Anzeige</th><th>Datum</th><th>Aufenth.</th><th>Referrer</th></tr>'."\n";
            for ( $i = 0; $i < mysql_num_rows($SQLresult); $i++ ) {
                if ( $strBrowser == $arrUserAgentData["browser"] ) {
                    $strDivBody .= '<tr>'."\n";

                    $strDivBody .= '<td class="right">'.(mysql_num_rows($SQLresult)-$i).'.</td>'."\n";


                    $strDivBody .= '<td>'. mysql_result($SQLresult, $i, "id");
                    $strDivBody .= '</td>'."\n";


                    $strDivBody .= '<td class="right">'.mysql_result($SQLresult, $i, "redirect_status");
                    $strDivBody .= '</td>'."\n";


                    $strReuestURI = htmlentities(mysql_result($SQLresult, $i, "request_uri"));
                    $strDivBody .= '<td>';
                    $strDivBody .= '<a href="'.$strReuestURI.'">'.$strReuestURI.'</a>';
                    $strDivBody .= '</td>'."\n";


                    $strRedirectURL = htmlentities(mysql_result($SQLresult, $i, "redirect_url"));
                    if ( strlen($strRedirectURL) == 0 ) {
                        $strRedirectURL = "/";
                    }
                    $strDivBody .= '<td>';
                    $strDivBody .= '<a href="'.$strRedirectURL.'">'.$strRedirectURL.'</a>';
                    $strDivBody .= '</td>'."\n";


                    $iTimestamp = mysql_result($SQLresult, $i, "timestamp");
                    $strDivBody .= '<td>';
                    if ( $iTimestamp > 0 )
                        $strDivBody .= date("d.m.y H:i:s", $iTimestamp);
                    else
                        $strDivBody .= "&#8213;";
                    $strDivBody .= '</td>'."\n";


                    if ( ($iLastTimestamp-$iTimestamp) >= 0 ) {
                        $strDivBody .= '<td class="right">'."\n";
                        $iAufenthalt = $iLastTimestamp-$iTimestamp;
                        if ( $iAufenthalt >= 60 ) {
                            $strDivBody .= floor ( $iAufenthalt / 60 )."min ".($iAufenthalt%60)."s";
                        }else{
                            $strDivBody .= $iAufenthalt."s";
                        }
                    }else{
                        $strDivBody .= '<td class="center">&#8213;';
                    }
                    $strDivBody .= '</td>'."\n";


                    $strReferrer = htmlentities(mysql_result($SQLresult, $i, "referer"));
                    if ( strlen($strReferrer) > 0 ) {
                        $strDivBody .= '<td>';
                        $strDivBody .= '<a href="'.$strReferrer.'" target="_blank">';
                        $strDivBody .= bCounter_printURL($strReferrer);
                        $strDivBody .= '</a>';
                    }else{
                        $strDivBody .= '<td class="center">&#8213;';
                    }
                    $strDivBody .= '</td>'."\n";
                    $strDivBody .= '</tr>'."\n";
                    $iLastTimestamp = $iTimestamp;
                }
            }
            $strDivBody .= '</table>';
        }else{
            $strDivBody .= "Besucher mit dieser ID wurde nicht gefunden.";
        }
    }
?>